tigase.jaxmpp.core.client.xmpp.forms

## Class HiddenField

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.forms.AbstractField<String>
    - - tigase.jaxmpp.core.client.xmpp.forms.HiddenField

- All Implemented Interfaces:
    Element, Field<String>

      public class HiddenField
      extends AbstractField<String>

  Implementation of Hidden field type.

  > The field is not shown to the form-submitting entity, but instead is returned with the form. The form-submitting entity SHOULD NOT modify the value of a hidden field, but MAY do so if such behavior is defined for the "using protocol".

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFieldValue()` Returns value of field.
    `void` | `setFieldValue(String value)` Sets value of field.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.forms.AbstractField

      `getDesc, getLabel, getType, getVar, isRequired, setDesc, setLabel, setRequired, setVar`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFieldValue

          public String getFieldValue()
                               throws XMLException

      Returns value of field.
      Returns:
        value
      Throws:
        `XMLException`

    - #### setFieldValue

          public void setFieldValue(String value)
                             throws XMLException

      Sets value of field.
      Parameters:
        `value` - value of field
      Throws:
        `XMLException`

Copyright © 2006–2017 Tigase. All rights reserved.